std::allocator::allocator(3)

NAME
std::allocator::allocator - std::allocator::allocator

Synopsis
   allocator() throw(); (until C++11)
   allocator() noexcept; (since C++11)
                        (until C++20)
   constexpr allocator() noexcept; (since C++20)
   allocator( const allocator& other (until C++11)
   ) throw();
   allocator( const allocator& other (since C++11)
   ) noexcept; (until C++20)
   constexpr allocator( const (since C++20)
   allocator& other ) noexcept; (1)
   template< class U >
   allocator( const allocator<U>& (2) (until C++11)
   other ) throw();
   template< class U > (since C++11)
   allocator( const allocator<U>& (3) (until C++20)
   other ) noexcept;
   template< class U >
   constexpr allocator( const (since C++20)
   allocator<U>& other ) noexcept;
   Constructs the default allocator. Since the default allocator is stateless, the
   constructors have no visible effect.

Parameters
   other - another allocator to construct with